//
// General design
//

#view-swapReview {
  p {
    text-align:center;
    word-break: normal;
  }
}

#swapReview-proposal {
  margin-top: 10%;
  position: relative;

  table {
    margin-bottom: 12px;
    th {
      padding-top: 12px;
      padding-bottom: 8px;
    }
    #swapReview-action {
      padding-top: 12px;
    }
  }
}

#swapReview-message {
  color: red;
  text-align: center;
}

#swapReview-proposal {
  border-radius: 8px;
  border: 1px solid $border-color;
  padding: 12px;
  display: block;
  margin-bottom: 1em;

  table {
    width: 100%;
    margin-left: 1em;

    td {
      vertical-align: top;
    }
  }
}

#swapReview-form {
  position: relative;
}

#swapReview-spinner {
  display: block;
  background: linear-gradient(rgba(255,255,255,0.6),rgba(255,255,255,0.7),rgba(255,255,255,0));
  width: calc(100% - 48px);
  height: calc(100% - 80px);
  top: 80px;
  text-align: center;
  position: absolute;
  .spinner-loader {
    margin-top: 25vh;
    margin-left: 0;
  }
}

#swapReview-spinner-message {
  margin-top: 24px;
  font-size: 1.2em;
  font-weight: bold;
}

//
// Buttons
//

#swapReview-buttons {
  background: none;
}

#swapReview-back {
  width: 32%;
  margin-right: 2%;
}

#swapReview-swap {
  width: 60%;
}
